%define mainversion 1.1

Name:           PySolFC-cardsets
Version:        1.1
Release:        3.1
Summary:        Various cardsets for PySolFC
Group:          Amusements/Games
License:        GPLv2+
URL:            http://pysolfc.sourceforge.net/
Source0:        http://downloads.sourceforge.net/pysolfc/PySolFC-Cardsets-1.1.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       PySolFC = %{mainversion}

%description
This package contains various cardsets for PySolFC.

%prep
%setup -q -n PySolFC-Cardsets-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d -m755 $RPM_BUILD_ROOT%{_datadir}/PySolFC
# remove cardsets included in PySolFC package
rm -rf cardset-2000 cardset-crystal-mahjongg cardset-dashavatara-ganjifa \
       cardset-dondorf cardset-gnome-mahjongg-1 cardset-hexadeck \
       cardset-kintengu cardset-matrix cardset-mughal-ganjifa cardset-oxymoron \
       cardset-standard cardset-tuxedo cardset-vienna-2k
cp -a cardset-* $RPM_BUILD_ROOT%{_datadir}/PySolFC

find $RPM_BUILD_ROOT%{_datadir}/PySolFC -type f -name 'COPYRIGHT' -exec chmod 0644 '{}' \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_datadir}/PySolFC/cardset-*

%changelog
* Thu Nov 1 2007 Stewart Adam <s.adam@diffingo.com> 1.1-3.1
- Bump FC-6 for the tagging issues resulting from no dist tag

* Thu Oct 25 2007 Stewart Adam <s.adam@diffingo.com> 1.1-3
- Remove BR python-devel
- Add dot to %%description
- Remove preinstalled cardsets
- Use a dir PySolFC actually recognizes

* Wed Oct 24 2007 Stewart Adam <s.adam@diffingo.com> 1.1-2
- Own dirs we create
- Remove %%{?dist} tag
- Fix URL, description and summary
- Don't place any executable files in the RPM

* Sat Sep 29 2007 Stewart Adam <s.adam@diffingo.com> 1.1-1
- Initial release
